List
curl --request GET \
--url https://api.nebius.cloud/tunnel/v1/tunnels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/tunnel/v1/tunnels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/tunnel/v1/tunnels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>",
"title": "<string>"
},
"status": {
"state": "UNSPECIFIED"
}
}
],
"nextPageToken": "<string>"
}tunnels
List
Lists all tunnels within a parent.
GET
/
tunnel
/
v1
/
tunnels
List
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Identifier of the parent resource.
Maximum number of items to return per page.
Token for retrieving the next page of results.
Filter expression for narrowing results.
Was this page helpful?
⌘I